
package be.cylab.java.wowa.training;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;
import java.util.logging.Logger;

/**
 *
 * @author tibo
 */
public class Example {

    public static void main(String [] args) {
        TrainerParameters parameters = new TrainerParameters(10, 10, 10, TrainerParameters.SELECTION_METHOD_RWS, 25, TrainerParameters.INITIAL_POPULATION_GENERATION_RANDOM, "test.csv");
        Trainer trainer = new Trainer(parameters);
        List<double[]> data = new ArrayList<double[]>();
        for (int i = 0;i < 5; i++) {
            double[] element = {Math.random(), Math.random(), Math.random()};
            data.add(element);
        }
        double[] expected = new double[5];

        for (int j = 0; j < 5; j++) {
            expected[j] = Math.random();
        }

        List<SolutionDistance> population = trainer.generateInitialPopulationAndComputeDistances(10, data, expected);
        for (SolutionDistance solution : population) {
            System.out.println(solution);
        }
    System.out.println("Trié\n");
        Collections.sort(population);
        for (SolutionDistance solution : population) {
            System.out.println(solution);
        }


    }
}
